> ## Documentation Index
> Fetch the complete documentation index at: https://docs.onebalance.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get transaction history

> Retrieves the transaction history for an address, including the transaction type and token details.



## OpenAPI

````yaml get /status/get-tx-history
openapi: 3.1.0
info:
  version: 1.6.2
  title: OneBalance API
  description: >
    # OneBalance API


    The OneBalance API provides a programmatic interface for managing OneBalance
    resources using standard HTTP requests. The API documentation includes a
    design and technology overview, followed by detailed endpoint information.


    ## Features


    OneBalance API provides a complete chain abstraction toolkit:


    - Smart Account Management: Predict addresses and deploy accounts

    - Cross-Chain Balances: View aggregated balances across multiple chains

    - Multichain Transactions: Execute transfers and swaps using aggregated
    balances

    - Transaction Status: Track multichain transaction history and status

    - Token Aggregation: Access unified token lists and pricing information


    Enterprise API Access: Need higher rate limits, dedicated infrastructure, or
    custom SLAs? [Contact our sales](mailto:sales@onebalance.io) team for
    enterprise API solutions.


    ## Base URL


    OneBalance API is built on REST principles and is served over HTTPS. To
    ensure data privacy, unencrypted HTTP is not supported.


    The Base URL for all API endpoints is:


    ```bash

    https://be.onebalance.io/api

    ```


    ## Quickstart


    Try our reference application at
    [app.onebalance.io](https://app.onebalance.io) to see the API in action or
    jump straight into our [API
    Reference](https://docs.onebalance.io/api-reference/account/predict-address)
    to start building.


    ## Authentication


    The OneBalance API uses API keys to authenticate requests. All API requests
    require authentication using an API key passed in the `x-api-key` header:


    ```bash

    curl -X 'GET' \
      'https://be.onebalance.io/api/path-to/endpoint' \
      -H 'x-api-key: 42bb629272001ee1163ca0dbbbc07bcbb0ef57a57baf16c4b1d4672db4562c11'
    ```


    A public API key is available for testing purposes with limited usage:
    **42bb629272001ee1163ca0dbbbc07bcbb0ef57a57baf16c4b1d4672db4562c11**


    All API requests must be made over
    [HTTPS](https://en.wikipedia.org/wiki/HTTPS). Calls made over plain HTTP
    will fail. API requests without authentication will also fail.
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.html
  contact:
    name: OneBalance Support
    email: support@onebalance.io
  termsOfService: https://onebalance.io/terms-of-service
servers:
  - url: https://be.onebalance.io/api
    description: Production environment
security:
  - ApiKeyAuth: []
tags:
  - name: Account
    x-displayName: Smart Accounts
    description: >-
      Manage and predict addresses for OneBalance smart accounts. These accounts
      enable features like resource locks and streamlined cross-chain
      interactions.
  - name: Assets
    x-displayName: Aggregated Assets
    description: >-
      Retrieve details about supported aggregated assets. Aggregated assets
      represent a unified view of a token across multiple chains, simplifying
      cross-chain operations.
  - name: Balances
    x-displayName: Aggregated Balances
    description: >-
      Access and track aggregated asset balances for user accounts. These
      balances reflect a user's total holdings of an asset across all supported
      chains, usable for multichain transactions.
  - name: Chains
    x-displayName: Supported Chains
    description: >-
      List and get details about the blockchain networks currently integrated
      with and supported by the OneBalance platform.
  - name: Status
    x-displayName: Transaction Status & History
    description: >-
      Track the real-time status of quote executions and retrieve complete
      transaction histories for user accounts, offering visibility into
      multichain operations.
  - name: Quotes
    x-displayName: Quotes & Execution
    description: >-
      Request, prepare, and execute quotes for various cross-chain operations
      including asset transfers, swaps, and arbitrary contract interactions.
      These endpoints facilitate the core transaction lifecycle on OneBalance.
paths:
  /status/get-tx-history:
    get:
      tags:
        - Status
      summary: Get transaction history
      description: >-
        Retrieves the transaction history for an address, including the
        transaction type and token details.
      operationId: getCallsHistory
      parameters:
        - name: user
          required: true
          in: query
          description: The address for which to retrieve the transaction history
          schema:
            type: string
            example: '0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045'
            pattern: ^0x[a-fA-F0-9]{40}$
        - name: limit
          required: false
          in: query
          description: Maximum number of transactions to return
          schema:
            type: integer
            example: 10
            minimum: 1
            default: 20
        - name: continuation
          required: false
          in: query
          description: The continuation string for retrieving the next page of transactions
          schema:
            type: string
            example: txn_00123456789abcdef
        - name: sortBy
          required: false
          in: query
          description: >-
            Field to sort the transaction history by. Defaults to createdAt if
            not specified.
          schema:
            type: string
            example: createdAt
            default: createdAt
            enum:
              - createdAt
              - updatedAt
      responses:
        '200':
          description: Successfully retrieved the transaction history
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/history'
              examples:
                StandardHistory:
                  summary: Standard transaction history
                  description: >-
                    Example of transaction history including completed
                    transactions
                  value:
                    transactions:
                      - quoteId: >-
                          0xfa6094cd9d65416c975e3498cc5c2ca17df6c4cfa37e16f84f2736296dd98b5d
                        status: COMPLETED
                        user: '0x9b747cC14A5672a7166b4eccdc92d7F4003f8081'
                        recipientAccountId: eip155:1/0x9b747cC14A5672a7166b4eccdc92d7F4003f8081
                        originChainOperations:
                          - hash: >-
                              0xfa6094cd9d65416c975e3498cc5c2ca17df6c4cfa37e16f84f2736296dd98b5d
                            chain: eip155:1
                            chainId: 1
                            explorerUrl: >-
                              https://etherscan.io/tx/0xfa6094cd9d65416c975e3498cc5c2ca17df6c4cfa37e16f84f2736296dd98b5d
                        destinationChainOperations:
                          - hash: >-
                              0xfa6094cd9d65416c975e3498cc5c2ca17df6c4cfa37e16f84f2736296dd98b5d
                            chain: eip155:1
                            chainId: 1
                            explorerUrl: >-
                              https://etherscan.io/tx/0xfa6094cd9d65416c975e3498cc5c2ca17df6c4cfa37e16f84f2736296dd98b5d
                        type: SWAP
                        originToken:
                          aggregatedAssetId: ob:eth
                          amount: '1000000000000000000'
                          assetType:
                            - >-
                              eip155:1/erc20:0xc02aaa39b223fe8d0a0e5c4f27ead9083c756cc2
                            - eip155:1/slip44:60
                          fiatValue:
                            - assetType: >-
                                eip155:1/erc20:0xc02aaa39b223fe8d0a0e5c4f27ead9083c756cc2
                              fiatValue: '1800'
                        destinationToken:
                          aggregatedAssetId: ob:usdc
                          amount: '1800000000'
                          assetType: >-
                            eip155:1/erc20:0xa0b86991c6218b36c1d19d4a2e9eb0ce3606eb48
                          fiatValue: '1800'
                        timestamp: '2024-01-01T12:00:00.000Z'
                    continuation: txn_00123456789abcdef
                HistoryWithRefunds:
                  summary: Transaction history with refunded transactions
                  description: >-
                    Example showing both completed and refunded transactions
                    with fail reasons
                  value:
                    transactions:
                      - quoteId: >-
                          0xfa6094cd9d65416c975e3498cc5c2ca17df6c4cfa37e16f84f2736296dd98b5d
                        status: COMPLETED
                        user: '0x9b747cC14A5672a7166b4eccdc92d7F4003f8081'
                        recipientAccountId: eip155:1/0x9b747cC14A5672a7166b4eccdc92d7F4003f8081
                        originChainOperations:
                          - hash: >-
                              0xfa6094cd9d65416c975e3498cc5c2ca17df6c4cfa37e16f84f2736296dd98b5d
                            chain: eip155:1
                            chainId: 1
                            explorerUrl: >-
                              https://etherscan.io/tx/0xfa6094cd9d65416c975e3498cc5c2ca17df6c4cfa37e16f84f2736296dd98b5d
                        destinationChainOperations:
                          - hash: >-
                              0xfa6094cd9d65416c975e3498cc5c2ca17df6c4cfa37e16f84f2736296dd98b5d
                            chain: eip155:1
                            chainId: 1
                            explorerUrl: >-
                              https://etherscan.io/tx/0xfa6094cd9d65416c975e3498cc5c2ca17df6c4cfa37e16f84f2736296dd98b5d
                        type: SWAP
                        originToken:
                          aggregatedAssetId: ob:eth
                          amount: '1000000000000000000'
                          assetType:
                            - >-
                              eip155:1/erc20:0xc02aaa39b223fe8d0a0e5c4f27ead9083c756cc2
                            - eip155:1/slip44:60
                          fiatValue:
                            - assetType: >-
                                eip155:1/erc20:0xc02aaa39b223fe8d0a0e5c4f27ead9083c756cc2
                              fiatValue: '1800'
                        destinationToken:
                          aggregatedAssetId: ob:usdc
                          amount: '1800000000'
                          assetType: >-
                            eip155:1/erc20:0xa0b86991c6218b36c1d19d4a2e9eb0ce3606eb48
                          fiatValue: '1800'
                        timestamp: '2024-01-01T12:00:00.000Z'
                      - quoteId: >-
                          0xed8c3dd2455c0569c63aef2ac8fa63d94a9b35caed36e3a70ee3af01cec3a7d5
                        status: REFUNDED
                        user: '0x8A7d8C9E5B6F1A2B3C4D5E6F7A8B9C0D1E2F3A4B'
                        recipientAccountId: >-
                          eip155:42161/0x8A7d8C9E5B6F1A2B3C4D5E6F7A8B9C0D1E2F3A4B
                        failReason: SLIPPAGE
                        originChainOperations: []
                        destinationChainOperations: []
                        type: SWAP
                        originToken:
                          aggregatedAssetId: ob:usdc
                          amount: '500000000'
                          assetType:
                            - >-
                              eip155:1/erc20:0xa0b86991c6218b36c1d19d4a2e9eb0ce3606eb48
                          fiatValue:
                            - assetType: >-
                                eip155:1/erc20:0xa0b86991c6218b36c1d19d4a2e9eb0ce3606eb48
                              fiatValue: '500'
                        destinationToken:
                          aggregatedAssetId: ob:eth
                          amount: '285000000000000000'
                          assetType: >-
                            eip155:42161/erc20:0x82af49447d8a07e3bd95bd0d56f35241523fbab1
                          fiatValue: '500'
                        timestamp: '2024-01-01T11:30:00.000Z'
                    continuation: txn_00123456789abcdef
        '401':
          $ref: '#/components/responses/unauthorized'
components:
  schemas:
    history:
      type: object
      properties:
        transactions:
          description: List of transactions for the user
          type: array
          items:
            $ref: '#/components/schemas/action'
        continuation:
          type: string
          description: String to provide in order to fetch the next page of results
          example: txn_00123456789abcdef
      required:
        - transactions
    action:
      type: object
      properties:
        quoteId:
          type: string
          description: Quote ID of the execution
          example: '0xfa6094cd9d65416c975e3498cc5c2ca17df6c4cfa37e16f84f2736296dd98b5d'
        status:
          allOf:
            - $ref: '#/components/schemas/operation-status'
          description: Execution status of the quote
          example:
            status: COMPLETED
        user:
          type: string
          description: The address of the user that initiated the quote
          example: '0x9b747cC14A5672a7166b4eccdc92d7F4003f8081'
        recipientAccountId:
          type: string
          description: Recipient account identifier (e.g., eip155:chainId/address).
          example: eip155:1/0x9b747cC14A5672a7166b4eccdc92d7F4003f8081
        failReason:
          allOf:
            - $ref: '#/components/schemas/fail-reason'
        originChainOperations:
          description: The asset(s) that were sent from the source
          type: array
          items:
            $ref: '#/components/schemas/operation-details'
          example:
            - hash: >-
                0xfa6094cd9d65416c975e3498cc5c2ca17df6c4cfa37e16f84f2736296dd98b5d
              chainId: 1
              explorerUrl: >-
                https://etherscan.io/tx/0xfa6094cd9d65416c975e3498cc5c2ca17df6c4cfa37e16f84f2736296dd98b5d
        destinationChainOperations:
          description: The asset(s) that were received to the final destination
          type: array
          items:
            $ref: '#/components/schemas/operation-details'
          example:
            - hash: >-
                0xfa6094cd9d65416c975e3498cc5c2ca17df6c4cfa37e16f84f2736296dd98b5d
              chainId: 1
              explorerUrl: >-
                https://etherscan.io/tx/0xfa6094cd9d65416c975e3498cc5c2ca17df6c4cfa37e16f84f2736296dd98b5d
        type:
          type: string
          description: The type of transaction initiated by the user
          example: SWAP
          enum:
            - SWAP
            - TRANSFER
            - BRIDGE
            - CALL
        originToken:
          $ref: '#/components/schemas/origin-asset-used'
          description: The token(s) that were sent from the source
        destinationToken:
          $ref: '#/components/schemas/destination-asset-used'
          description: The token(s) that were received to the final destination
        timestamp:
          type: string
          description: The timestamp of the transaction
          example: '2024-01-01T00:00:00.000Z'
          format: date-time
      required:
        - quoteId
        - status
        - user
        - recipientAccountId
        - originChainOperations
        - destinationChainOperations
        - type
        - originToken
        - destinationToken
        - timestamp
    HttpUnauthorizedException:
      type: object
      properties:
        error:
          type: string
          description: Error name
          example: UnauthorizedException
        message:
          type: string
          description: Error message
          example: Invalid or missing API key
        statusCode:
          type: number
          description: Error status code
          example: 401
        timestamp:
          type: string
          description: Error timestamp
          example: '2024-12-18T14:38:24.793Z'
        path:
          type: string
          description: Error path
          example: /api/account/predict-address
      required:
        - error
        - message
        - statusCode
        - timestamp
        - path
    operation-status:
      type: string
      description: >
        Execution status of the quote. The status progresses through different
        stages:

        - PENDING: Operation has been submitted but processing has not yet begun

        - IN_PROGRESS: Currently processing the execution steps of the operation

        - EXECUTED: Transaction has been executed on the destination chain but
        origin chain operations may still be pending

        - COMPLETED: All operations on both origin and destination chains have
        been completed successfully

        - REFUNDED: Operation failed at some step, causing the whole operation
        to be refunded

        - FAILED: All steps of the operation failed
      example: COMPLETED
      enum:
        - PENDING
        - IN_PROGRESS
        - EXECUTED
        - COMPLETED
        - REFUNDED
        - FAILED
    fail-reason:
      type: string
      description: >
        Reason for quote refund when status is REFUNDED. 


        For detailed explanations and troubleshooting steps, see:
        https://docs.onebalance.io/api-reference/error-codes


        Possible values:


        **General Failure Reasons:**

        - UNKNOWN: Unknown failure reason

        - SLIPPAGE: Price moved beyond the configured slippage tolerance

        - AMOUNT_TOO_LOW_TO_REFUND: Amount is too low to process a refund

        - DEPOSIT_ADDRESS_MISMATCH: Deposit address does not match expected
        address

        - DEPOSIT_CHAIN_MISMATCH: Deposit chain does not match expected chain

        - INCORRECT_DEPOSIT_CURRENCY: Deposited currency is incorrect

        - DOUBLE_SPEND: Double spend detected

        - SOLVER_CAPACITY_EXCEEDED: Solver capacity has been exceeded

        - DEPOSITED_AMOUNT_TOO_LOW_TO_FILL: Deposited amount is too low to fill
        the order

        - NEGATIVE_NEW_AMOUNT_AFTER_FEES: Negative amount after deducting fees

        - NO_QUOTES: No quotes available

        - MISSING_REVERT_DATA: Missing revert data from transaction

        - REVERSE_SWAP_FAILED: Reverse swap operation failed

        - GENERATE_SWAP_FAILED: Failed to generate swap

        - TOO_LITTLE_RECEIVED: Received amount is too little

        - EXECUTION_REVERTED: Execution was reverted

        - NEW_CALLDATA_INCLUDES_HIGHER_RENT_FEE: New calldata includes higher
        rent fee

        - TRANSACTION_REVERTED: Transaction was reverted

        - ORIGIN_CURRENCY_MISMATCH: Origin currency mismatch

        - NO_INTERNAL_SWAP_ROUTES_FOUND: No internal swap routes found

        - SWAP_USES_TOO_MUCH_GAS: Swap uses too much gas

        - INSUFFICIENT_FUNDS_FOR_RENT: Insufficient funds for rent
        (Solana-specific)


        **Execution Revert Specific Reasons:**

        - ORDER_EXPIRED: Order has expired

        - ORDER_IS_CANCELLED: Order has been cancelled

        - TRANSFER_FROM_FAILED: Transfer from operation failed

        - TRANSFER_FAILED: Transfer operation failed

        - SIGNATURE_EXPIRED: Signature has expired

        - INVALID_SIGNATURE: Invalid signature provided

        - INSUFFICIENT_NATIVE_TOKENS_SUPPLIED: Insufficient native tokens
        supplied

        - TRANSFER_AMOUNT_EXCEEDS_ALLOWANCE: Transfer amount exceeds allowance

        - TRANSFER_AMOUNT_EXCEEDS_BALANCE: Transfer amount exceeds balance

        - INVALID_SENDER: Invalid sender

        - ACCOUNT_ABSTRACTION_INVALID_NONCE: Account abstraction invalid nonce

        - ACCOUNT_ABSTRACTION_SIGNATURE_ERROR: Account abstraction signature
        error

        - SEAPORT_INEXACT_FRACTION: Seaport inexact fraction

        - TOKEN_NOT_TRANSFERABLE: Token is not transferable

        - ZERO_SELL_AMOUNT: Zero sell amount

        - MINT_NOT_ACTIVE: Mint is not active

        - ERC_1155_TOO_MANY_REQUESTED: ERC-1155 too many requested

        - INCORRECT_PAYMENT: Incorrect payment

        - INVALID_GAS_PRICE: Invalid gas price

        - FLUID_DEX_ERROR: Fluid DEX error

        - ORDER_ALREADY_FILLED: Order already filled

        - SEAPORT_INVALID_FULFILLER: Seaport invalid fulfiller


        **Jupiter Specific Failures:**

        - JUPITER_INVALID_TOKEN_ACCOUNT: Jupiter invalid token account (Solana)
      enum:
        - UNKNOWN
        - SLIPPAGE
        - AMOUNT_TOO_LOW_TO_REFUND
        - DEPOSIT_ADDRESS_MISMATCH
        - DEPOSIT_CHAIN_MISMATCH
        - INCORRECT_DEPOSIT_CURRENCY
        - DOUBLE_SPEND
        - SOLVER_CAPACITY_EXCEEDED
        - DEPOSITED_AMOUNT_TOO_LOW_TO_FILL
        - NEGATIVE_NEW_AMOUNT_AFTER_FEES
        - NO_QUOTES
        - MISSING_REVERT_DATA
        - REVERSE_SWAP_FAILED
        - GENERATE_SWAP_FAILED
        - TOO_LITTLE_RECEIVED
        - EXECUTION_REVERTED
        - NEW_CALLDATA_INCLUDES_HIGHER_RENT_FEE
        - TRANSACTION_REVERTED
        - ORIGIN_CURRENCY_MISMATCH
        - NO_INTERNAL_SWAP_ROUTES_FOUND
        - SWAP_USES_TOO_MUCH_GAS
        - INSUFFICIENT_FUNDS_FOR_RENT
        - ORDER_EXPIRED
        - ORDER_IS_CANCELLED
        - TRANSFER_FROM_FAILED
        - TRANSFER_FAILED
        - SIGNATURE_EXPIRED
        - INVALID_SIGNATURE
        - INSUFFICIENT_NATIVE_TOKENS_SUPPLIED
        - TRANSFER_AMOUNT_EXCEEDS_ALLOWANCE
        - TRANSFER_AMOUNT_EXCEEDS_BALANCE
        - INVALID_SENDER
        - ACCOUNT_ABSTRACTION_INVALID_NONCE
        - ACCOUNT_ABSTRACTION_SIGNATURE_ERROR
        - SEAPORT_INEXACT_FRACTION
        - TOKEN_NOT_TRANSFERABLE
        - ZERO_SELL_AMOUNT
        - MINT_NOT_ACTIVE
        - ERC_1155_TOO_MANY_REQUESTED
        - INCORRECT_PAYMENT
        - INVALID_GAS_PRICE
        - FLUID_DEX_ERROR
        - ORDER_ALREADY_FILLED
        - SEAPORT_INVALID_FULFILLER
        - JUPITER_INVALID_TOKEN_ACCOUNT
      example: SLIPPAGE
    operation-details:
      type: object
      properties:
        hash:
          type: string
          description: The hash of the transaction
          example: '0xfa6094cd9d65416c975e3498cc5c2ca17df6c4cfa37e16f84f2736296dd98b5d'
          pattern: ^0x[a-fA-F0-9]{64}$
        chainId:
          type: integer
          description: The chain ID of the transaction
          example: 1
        chain:
          type: string
          description: The CAIP-2 identifier for the chain
          example: eip155:1
        explorerUrl:
          type: string
          description: Explorer URL of the transaction
          example: >-
            https://etherscan.io/tx/0xfa6094cd9d65416c975e3498cc5c2ca17df6c4cfa37e16f84f2736296dd98b5d
          format: url
      required:
        - hash
        - chainId
        - chain
        - explorerUrl
    origin-asset-used:
      type: object
      properties:
        aggregatedAssetId:
          type: string
          description: The aggregated asset ID (e.g., ob:usd)
          example: ob:eth
        amount:
          type: string
          description: The amount of the token
          example: '1000000000000000000'
        assetType:
          description: >-
            The type of the individual assets (e.g., eip155:1/erc20:... or
            eip155:1/slip44:...)
          example:
            - eip155:1/erc20:0xdac17f958d2ee523a2206206994597c13d831ec7
            - eip155:1/slip44:60
          type: array
          items:
            type: string
        fiatValue:
          description: The fiat values of the individual asset types
          type: array
          items:
            $ref: '#/components/schemas/asset-used-fiat'
          example:
            - assetType: eip155:1/erc20:0xdac17f958d2ee523a2206206994597c13d831ec7
              fiatValue: '1800.00'
            - assetType: eip155:1/slip44:60
              fiatValue: '1800.00'
      required:
        - aggregatedAssetId
        - amount
        - assetType
        - fiatValue
    destination-asset-used:
      type: object
      properties:
        aggregatedAssetId:
          type: string
          description: The aggregated asset ID (e.g., ob:usd)
          example: ob:usdc
        amount:
          type: string
          description: The amount of the token
          example: '100000000'
        assetType:
          type: string
          description: >-
            The type of the individual asset (e.g., eip155:1/erc20:... or
            eip155:1/slip44:...)
          example: eip155:1/erc20:0xdac17f958d2ee523a2206206994597c13d831ec7
        fiatValue:
          type: string
          description: The fiat value of the individual asset in USD
          example: '100'
        minimumAmount:
          type: string
          description: The minimum amount of the token
          example: '100'
        minimumFiatValue:
          type: string
          description: The minimum fiat value of the token
          example: '100'
        symbol:
          type: string
          description: The token symbol (e.g., USDC, ETH)
          example: USDC
        name:
          type: string
          description: The human-readable name of the token
          example: USDC
        decimals:
          type: integer
          description: The number of decimal places for the token
          example: 18
        recipientAccount:
          type: string
          description: >-
            The recipient account address with chain identifier where the
            destination tokens will be received
          example: eip155:42161:0x895Cf62399bF1F8b88195E741b64278b41EB7F09
      required:
        - aggregatedAssetId
        - amount
        - assetType
        - fiatValue
    asset-used-fiat:
      type: object
      properties:
        assetType:
          type: string
          description: >-
            The CAIP-19 asset type identifier (e.g., eip155:1/erc20:... or
            eip155:1/slip44:...).
          example: eip155:1/erc20:0xdac17f958d2ee523a2206206994597c13d831ec7
        fiatValue:
          type: string
          description: The fiat value of the individual asset in USD
          example: '100'
      required:
        - assetType
        - fiatValue
  responses:
    unauthorized:
      description: Unauthorized
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/HttpUnauthorizedException'
          example:
            error: UnauthorizedException
            message: Invalid or missing API key
            statusCode: 401
            timestamp: '2024-12-18T14:38:24.793Z'
            path: /api/xxx/xxx
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      name: x-api-key
      in: header
      description: >-
        The OneBalance API uses API keys to authenticate requests. All API
        requests require authentication using an API key passed in the
        `x-api-key` header:


        ```bash

        curl -X 'GET' \
          'https://be.onebalance.io/api/path-to/endpoint' \
          -H 'x-api-key: ${ONEBALANCE_API_KEY}' \
          ...
        ```


        A public API key is available for testing purposes with limited usage:
        `42bb629272001ee1163ca0dbbbc07bcbb0ef57a57baf16c4b1d4672db4562c11`.


        All API requests must be made over HTTPS. Calls made over plain HTTP
        will fail. API requests without authentication will also fail.


        Learn how to generate API access tokens at [OneBalance
        Docs](https://docs.onebalance.io).

````